Summary: RPM installer/updater config files
Name: yum-conf
Version: 5X
Release: 5.slc5.cern
Epoch: 666
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tgz
Source1: RPM-GPG-KEY-EPEL
Source2: epel.repo
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArch: noarch
Prereq: yum >= 3.2

%description
Configuration files to setup yum for Scientific Linux CERN 5 (SLC5)

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
cp -r etc/* $RPM_BUILD_ROOT/etc
rm -vrf $RPM_BUILD_ROOT/etc/logrotate.d

mkdir -p $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/yum.repos.d

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
# This makes it so that you don't get asked about up2date on the firstboot
# 
#if [ -s /usr/share/firstboot/modules/up2date.py ]; then
#	rm -f /usr/share/firstboot/modules/up2date.py*
#fi
#
# This makes it so that you don't get asked about more cd's on firstboot
# 
#if [ -s /usr/share/firstboot/modules/additional_cds.py ]; then
#	rm -f /usr/share/firstboot/modules/additional_cds.py*
#fi
#
#if [ -f /etc/yum/pluginconf.d/installonlyn.conf ]; then
#        /usr/bin/perl -p -i -e 's/tokeep=2/tokeep=3/' /etc/yum/pluginconf.d/installonlyn.conf
#fi
#
#if [ -f /etc/yum.repos.d/cern-test.repo ]; then
#        /usr/bin/perl -p -i -e 's/enabled=1/enabled=0/' /etc/yum.repos.d/cern-test.repo
#fi

if [ `/bin/uname -i` == "ia64" ]; then
     [ -f /etc/yum.repos.d/dag.repo ] && /usr/bin/perl -p -i -e 's/enabled=1/enabled=0/' /etc/yum.repos.d/dag.repo
     [ -f /etc/yum.repos.d/jpackage.repo ] &&  /usr/bin/perl -p -i -e 's/enabled=1/enabled=0/' /etc/yum.repos.d/jpackage.repo
     [ -f /etc/yum.repos.d/epel.repo ] &&  /usr/bin/perl -p -i -e 's/enabled=1/enabled=0/' /etc/yum.repos.d/epel.repo
fi

# Import GPG keys for users 

#/bin/rpm --import http://linuxsoft.cern.ch/cern/slc5X/`uname -i`/RPM-GPG-KEYs/RPM-GPG-KEY-cern
#/bin/rpm --import http://linuxsoft.cern.ch/cern/slc5X/`uname -i`/RPM-GPG-KEYs/RPM-GPG-KEY-jpolok

exit 0

#%triggerin -- firstboot
#
# This makes it so that you don't get asked about up2date on the firstboot
# 
#if [ -s /usr/share/firstboot/modules/up2date.py ]; then
#	rm -f /usr/share/firstboot/modules/up2date.py*
#fi
#
# This makes it so that you don't get asked about more cd's on firstboot
# 
#if [ -s /usr/share/firstboot/modules/additional_cds.py ]; then
#	rm -f /usr/share/firstboot/modules/additional_cds.py*
#fi

#%triggerin -- yum-installonlyn
#
#if [ -f /etc/yum/pluginconf.d/installonlyn.conf ]; then
#        /usr/bin/perl -p -i -e 's/tokeep=2/tokeep=3/' /etc/yum/pluginconf.d/installonlyn.conf
#fi


%files 
%defattr(-, root, root)
%dir %{_sysconfdir}/yum.repos.d/
%config %{_sysconfdir}/yum.conf
#%{_sysconfdir}/logrotate.d/yum
%config %{_sysconfdir}/yum.repos.d/
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-EPEL

%changelog
* Tue Sep  9 2008 Jan Iven <jan.iven@cern.ch> - 666:5X-5.slc5.cern
- mark EPEL as disabled on IA64 - does not exist (yet?)
* Thu Aug  7 2008 Jan Iven <jan.iven@cern.ch> - 666:5X-4.slc5.cern
- explicitly mark all non-SLC repos protected=0
- add EPEL repo and GPG key, possible conflict with yum-conf-epel
- default to gpgcheck=1
- add Fermi GPG keys for slc5-(base/updates/test)

* Mon Jul 07 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- fixed file-level rpm conflicts

* Tue Jun 16 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- first version for SLC5X

* Thu Oct 05 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- enforcing GPG signature checks.

* Thu Apr 27 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- added source repos (disabled by default)

* Wed Mar 15 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- added RHAPS2 Jpackage and cernonly repos

* Fri Jan 27 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- changed for CERNs SLC4 
* Mon Aug 01 2005 Troy Dawson <dawson@fnal.gov> 41-4.SL
- added atrpms.repo and dries.repo, both not enabled by default

* Tue Jul 26 2005 Troy Dawson <dawson@fnal.gov> 41-3.SL
- added exactarch=1 to the yum.cron

* Thu Jul 7 2005 Troy Dawson <dawson@fnal.gov> 41-2.SL
- Added Epoch: 4, so that we can upgrade from the 30x series.  It is 4 because
  this is the 4x series.
- Changed the configurations from rolling to the real 41
- Added the bugfix yum repo

* Tue Jun 21 2005 Troy Dawson <dawson@fnal.gov> 41-1.SL
- Changed it to 41
- Pulled out the config(noreplace) because we really do want to replace it
  when we do an upgrade.

* Tue Apr 19 2005 Troy Dawson <dawson@fnal.gov> 40-4.SL
- Testing putting everything in yum.repos.d as config(noreplace)

* Mon Apr 18 2005 Troy Dawson <dawson@fnal.gov> 40-3.SL
- Hard coded it so that it points to 40, soft coding didn't work

* Tue Apr 12 2005 Troy Dawson <dawson@fnal.gov> 40-2.SL
- Added check to yum.cron to check if yum is already running, and
  if it has been running for a long time, to kill it.
- Changed config's to actually point to 40 instead of rolling
- Fixed flash.repo, they changed where they were.

* Tue Mar 01 2005 Troy Dawson <dawson@fnal.gov> 40-1.SL
- Rewrote yum.cron to take advantage of yum 2.2
- moved the yum.conf.* files into yum.repos.d after editing them
  to be just the repo they are supposed to be
- Edited files in yum.d to reflect other changes
- changed yum.conf to use yum 2.2 repo files
- changed logrotate, and yum init file to be from yum 2.2

* Mon Jan 31 2005 Troy Dawson <dawson@fnal.gov> 304-2.SL
- added yum.conf.rhaps and yum.conf.flash

* Tue Dec 28 2004 Troy Dawson <dawson@fnal.gov> 304-1.SL
- Changed 30rolling's to 304's

* Tue Dec 28 2004 Troy Dawson <dawson@fnal.gov> 30rolling-2.SL
- Changed 303's to 304's
- Removed all references to linux21

* Thu Sep 09 2004 Troy Dawson <dawson@fnal.gov> 30rolling-1.SL
- Changed the 303 yum-conf to 30rolling

* Tue Aug 31 2004 Troy Dawson <dawson@fnal.gov> 303-1.SL
- Changed the 302 yum-conf to 303

* Mon Aug 30 2004 Troy Dawson <dawson@fnal.gov> 302-3.SL
- Removed add-on's section from the cron.daily
- Changed DEFAULTSERVER from linux21.fnal.gov to ftp.scientificlinux.org
  in the cron.daily script
- Added a commented out pointer to our local copy of DAG's repository

* Wed Jun 09 2004 Troy Dawson <dawson@fnal.gov> - 302-2.SL
- Changed main distribution server to ftp.scientificlinux.org

* Fri May 14 2004 Troy Dawson <dawson@fnal.gov> - sl301-8
- Did a rewrite of yum.cron to allow for the distribution sites to be
  in easily modified files.
- Renamed some of the scripts in /etc/yum.d
- Fixed names in yum.conf 

* Sun Apr 18 2004 Connie Sieh <csieh@fnal.gov>
- Added tolerant=1 to yum.cron for updates so as to get as many updates as
- we can 

* Wed Mar 24 2004 Troy Dawson <dawson@fnal.gov>
- Changed the excludes file to use globs on kernel and openafs

* Thu Jan 15 2004 Troy Dawson <dawson@fnal.gov>
- Fixed a minor bug with the wget stuff

* Fri Dec 5 2003 Troy Dawson <dawson@fnal.gov>
- Changed ncftpls to wget when checking the servers

* Fri Aug 15 2003 Troy Dawson <dawson@fnal.gov>
- Updated from new yum 2.0.1, which made the following changes
- init.d script, copied straight from 2.0.1
- yum.conf (and template) added tolerant=1, exactarch=1

%changelog
* Mon Apr 7 2003 Troy Dawson <dawson@fnal.gov>
- Changed the default to 901 from 731

* Fri Apr 4 2003 Troy Dawson <dawson@fnal.gov>
- First Go at the 9.0.1 config files.

* Wed Mar 26 2003 Troy Dawson <dawson@fnal.gov>
- Split the yum-conf completely away from the yum rpm and made it release
dependant.
